#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	pluma
Version		:	1.28.0
Release		:	16.2.1.rel%{?dist}
Summary		:	Small and lightweight UTF-8 text editor for the MATE
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
Buildrequires	:	desktop-file-utils
BuildRequires	:	enchant
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk3+
BuildRequires	:	gtksourceview4-devel
BuildRequires	:	iso-codes
BuildRequires	:	itstool
BuildRequires	:	libxml2
BuildRequires	:	libpeas
BuildRequires	:	mate-common
BuildRequires	:	mate-desktop
BuildRequires	:	yelp-tools
BuildRequires	:	xorg-libICE
BuildRequires	:	xorg-libSM
BuildRequires	:	zenity

#-----------------------------------------------------------------------------
%description
'%{name}' is a small and lightweight UTF-8 text editor
for the MATE environment. Based on gedit, the text
editor for the GNOME2 environment.  

'%{name}' is part of MATE and uses the latest GTK+ and
MATE libraries.
Complete MATE integration is featured, with support for
Drag and Drop (DnD) from Caja (the MATE file manager),
the use of the MATE help system, the MATE Virtual
File System and the MATE print framework.

'%{name}' uses a Multiple Document Interface (MDI),
which lets you edit more than one document at the same time.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_includedir}/%{name}/%{name}-*.h
%{_libexecdir}/%{name}/%{name}-*.sh
%{_libdir}/%{name}/plugins/lib*.so
%{_libdir}/%{name}/plugins/*.plugin
%{_libdir}/%{name}/plugins/externaltools/*
%{_libdir}/%{name}/plugins/pythonconsole/*
%{_libdir}/%{name}/plugins/quickopen/*
%{_libdir}/%{name}/plugins/snippets/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/glib-2.0/schemas/org.mate.%{name}.*.xml
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/help/*/%{name}/*/*.png
%{_datadir}/help/*/%{name}/index.docbook
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/plugins/*/*/*
%{_datadir}/%{name}/plugins/*/*.{,gz,ui,xml}
%{_datadir}/%{name}/plugins/modelines/language-mappings
%{_datadir}/%{name}/%{name}.about
%{_datadir}/%{name}/ui/*.{ui,xml}
%{_datadir}/%{name}/icons/%{name}-plugin.png
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#traduction problem
%{__rm} -fr help/ru

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-introspection=yes			\
	--disable-schemas-compile			\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
